// Persistence of Vision Ray Tracer Scene Description File
// File: mega_metal_test.pov
// Vers: 3.1 MegaPatch 0.4
// Desc: test of new metals
// Date: 01 FEB 00
// Auth: Eric L. Freeman

#include "colors.inc"

#version official 3.1;
#include "metals.inc"
#declare OldTex = texture {T_Copper_1B}

#version unofficial MegaPov 0.4;
#include "mega_metals.inc"
#declare NewMat = material {Mega_M_Copper_1B}

background {Blue/3}
#declare BackOne = box {
  <-50000,0,-150>,
  <50000,50000,-151>
  pigment {
    checker color SpicyPink color SeaGreen
    scale 20
  }
}
#declare BackTwo = object {
  BackOne
  scale <1,-1,1>
}
object {BackOne}
object {BackTwo}
// LIGHTS
light_source {
  <0,0,0>
  color White
  translate <0,0,-7>
}

// CAMERA
#declare CamPos = <0,0,-6.7>;
#declare CamLook = <0,0,0>;
camera {
  location CamPos
  look_at CamLook
}

// OLD METALS
#version official 3.1;
#declare ABox = box {
  <-1,-1,-1>,
  <1,1,1>
  texture {OldTex}
}
#declare APlainBox = object {
  ABox
  translate <-2.2,0,0>
}
#declare AGraniteBox = object {
  ABox
  normal {agate 1}
}
#declare ABumpBox = object {
  ABox
  normal {bumps 1}
  translate <2.2,0,0>
}

#declare AllABoxes = union {
  object {APlainBox}
  object {AGraniteBox}
  object {ABumpBox}
  translate <0,1.15,0>
}

object {AllABoxes}

#version unofficial MegaPov 0.4;

//divider
box {
  <-100,-0.04,-0.01>,
  <100,0.04,0.01>
  pigment {White}
}

// NEW METALS
#declare BBox = box {
  <-1,-1,-1>,
  <1,1,1>
  material {NewMat}
}
#declare BPlainBox = object {
  BBox
  translate <-2.2,0,0>
}
#declare BGraniteBox = object {
  BBox
  normal {agate 1}
  scale <1,-1,1>
}
#declare BBumpBox = object {
  BBox
  normal {bumps 1}
  scale <1,-1,1>
  translate <2.2,0,0>
}

#declare AllBBoxes = union {
  object {BPlainBox}
  object {BGraniteBox}
  object {BBumpBox}
  translate <0,-1.15,0>
}

object {AllBBoxes}

text {
  ttf "c:\windows\fonts\arial.ttf"
  "Old Metals"
  0.1, 0
  align_center
  scale 0.5
  pigment {White}
  translate <0,2.7,0>
}
text {
  ttf "c:\windows\fonts\arial.ttf"
  "Mega Metals"
  0.1, 0
  align_center
  scale 0.5
  pigment {White}
  translate <0,-3.05,0>
}
